SIMON_Info< L, D, N, M > Struct Template Reference

SIMON block cipher information. More...

`#include <simon.h>`

Inheritance diagram for SIMON_Info< L, D, N, M >:

## Static Public Member Functions

static const std::string | StaticAlgorithmName ()
| The algorithm name.
Static Public Member Functions inherited from VariableKeyLength< D, N, M, Q, IV_REQ, IV_L >
static size_t | StaticGetValidKeyLength (size_t keylength)
| Provides a valid key length for the algorithm provided by a static function.

## Additional Inherited Members

Static Public Attributes inherited from FixedBlockSize< L >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from VariableKeyLength< D, N, M, Q, IV_REQ, IV_L >
static const int | MIN_KEYLENGTH =N
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH =M
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH =D
| The default key length used by the algorithm provided as a constant.
static const int | KEYLENGTH_MULTIPLE =Q
| The key length multiple used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT =IV_REQ
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH =IV_L
| The default initialization vector length for the algorithm provided as a constant.

## Detailed Description

template<unsigned int L, unsigned int D, unsigned int N, unsigned int M>
struct SIMON_Info< L, D, N, M >

SIMON block cipher information.

Template Parameters

  L | block size of the cipher, in bytes
  D | default key length, in bytes
  N | minimum key length, in bytes
  M | maximum key length, in bytes

Since
  Crypto++ 6.0

Definition at line 43 of file simon.h.

## Member Function Documentation

## StaticAlgorithmName()

template<unsigned int L, unsigned int D, unsigned int N, unsigned int M>

static const std::string SIMON_Info< L, D, N, M >::StaticAlgorithmName | ( |  | ) |

inline static

The algorithm name.

Returns
  the algorithm name

StaticAlgorithmName returns the algorithm's name as a static member function.

Definition at line 49 of file simon.h.

The documentation for this struct was generated from the following file:

- simon.h